<?xml version="1.0"?>
<!-- This file is part of stock_anmat_traceability module for Tryton.
The COPYRIGHT file at the top level of this repository contains
the full copyright notices and license terms. -->
<tryton>
    <data>

        <!-- Unit -->
        <record model="ir.ui.view" id="unit_view_form">
            <field name="model">stock.lot.unit</field>
            <field name="type">form</field>
            <field name="name">unit_form</field>
        </record>

        <record model="ir.ui.view" id="unit_view_tree">
            <field name="model">stock.lot.unit</field>
            <field name="type">tree</field>
            <field name="name">unit_tree</field>
        </record>

        <record model="ir.action.act_window" id="act_unit_form">
            <field name="name">Traceable Units</field>
            <field name="res_model">stock.lot.unit</field>
        </record>
        <record model="ir.action.act_window.view" id="act_unit_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="unit_view_tree"/>
            <field name="act_window" ref="act_unit_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_unit_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="unit_view_form"/>
            <field name="act_window" ref="act_unit_form"/>
        </record>
        <menuitem parent="anmat_menu" sequence="20"
            action="act_unit_form" id="menu_unit_form"/>

        <!-- Stock Move -->
        <record model="ir.ui.view" id="move_view_form">
            <field name="model">stock.move</field>
            <field name="inherit" ref="stock.move_view_form"/>
            <field name="name">move_form</field>
        </record>

        <record model="ir.ui.view" id="move_view_tree">
            <field name="model">stock.move</field>
            <field name="inherit" ref="stock.move_view_tree"/>
            <field name="name">move_tree</field>
        </record>

        <!-- Shipment In Return -->
        <record model="ir.ui.view" id="shipment_in_return_view_form">
            <field name="model">stock.shipment.in.return</field>
            <field name="inherit" ref="stock.shipment_in_return_view_form"/>
            <field name="name">shipment_in_return_form</field>
        </record>

        <record model="ir.ui.view" id="shipment_in_return_view_tree">
            <field name="model">stock.shipment.in.return</field>
            <field name="inherit" ref="stock.shipment_in_return_view_tree"/>
            <field name="name">shipment_in_return_tree</field>
        </record>

        <!-- Shipment Out Return -->
        <record model="ir.ui.view" id="shipment_out_return_view_form">
            <field name="model">stock.shipment.out.return</field>
            <field name="inherit" ref="stock.shipment_out_return_view_form"/>
            <field name="name">shipment_out_return_form</field>
        </record>

        <record model="ir.ui.view" id="shipment_out_return_view_tree">
            <field name="model">stock.shipment.out.return</field>
            <field name="inherit" ref="stock.shipment_out_return_view_tree"/>
            <field name="name">shipment_out_return_tree</field>
        </record>

        <!-- Shipment Internal -->
        <record model="ir.ui.view" id="shipment_internal_view_form">
            <field name="model">stock.shipment.internal</field>
            <field name="inherit" ref="stock.shipment_internal_view_form"/>
            <field name="name">shipment_internal_form</field>
        </record>

        <record model="ir.ui.view" id="shipment_internal_view_tree">
            <field name="model">stock.shipment.internal</field>
            <field name="inherit" ref="stock.shipment_internal_view_tree"/>
            <field name="name">shipment_internal_tree</field>
        </record>

        <!-- Cache Unit -->
        <record model="ir.ui.view" id="period_cache_anmat_unit_view_form">
            <field name="model">stock.period.cache.anmat_unit</field>
            <field name="type">form</field>
            <field name="name">period_cache_anmat_unit_form</field>
        </record>
        <record model="ir.ui.view" id="period_cache_anmat_unit_view_list">
            <field name="model">stock.period.cache.anmat_unit</field>
            <field name="type">tree</field>
            <field name="name">period_cache_anmat_unit_list</field>
        </record>

        <!-- Inventory line -->
        <record model="ir.ui.view" id="inventory_line_view_form">
            <field name="model">stock.inventory.line</field>
            <field name="inherit" ref="stock.inventory_line_view_form"/>
            <field name="name">inventory_line_form</field>
        </record>

        <record model="ir.ui.view" id="inventory_line_view_tree">
            <field name="model">stock.inventory.line</field>
            <field name="inherit" ref="stock.inventory_line_view_tree"/>
            <field name="name">inventory_line_tree</field>
        </record>

    </data>
</tryton>
